<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TwirlSourceSet (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TwirlSourceSet (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/language/twirl/TwirlImports.html" title="enum in org.gradle.language.twirl"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/language/twirl/TwirlTemplateFormat.html" title="interface in org.gradle.language.twirl"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/language/twirl/TwirlSourceSet.html" target="_top">Frames</a></li>
<li><a href="TwirlSourceSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.language.twirl</div>
<h2 title="Interface TwirlSourceSet" class="title">Interface TwirlSourceSet</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a>, <a href="../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, <a href="../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>, <a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">TwirlSourceSet</span>
extends <a href="../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a></pre>
<div class="block">Represents a source set containing twirl templates

 <pre class='autoTested'>
     apply plugin: 'play'

     model {
       components {
         play {
           sources {
             withType(TwirlSourceSet) {
               // Use template format views.formats.csv.CsvFormat for all files named *.scala.csv
               // Additionally, include views.formats.csv._ package imports in generated sources.
               addUserTemplateFormat("csv", "views.formats.csv.CsvFormat", "views.formats.csv._")
               // Add these additional imports to all generated Scala code from Twirl templates
               additionalImports = [ 'my.pkg._', 'my.pkg.MyClass' ]
             }
           }
         }
       }
     }
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/twirl/TwirlSourceSet.html#addUserTemplateFormat(java.lang.String,%20java.lang.String,%20java.lang.String...)">addUserTemplateFormat</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extension,
                     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateType,
                     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;imports)</code>
<div class="block">Adds a custom template format.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/twirl/TwirlSourceSet.html#getAdditionalImports()">getAdditionalImports</a></strong>()</code>
<div class="block">Returns the list of additional imports to add to the generated Scala code.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/language/twirl/TwirlImports.html" title="enum in org.gradle.language.twirl">TwirlImports</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/twirl/TwirlSourceSet.html#getDefaultImports()">getDefaultImports</a></strong>()</code>
<div class="block">The default imports that should be added to generated source files</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/language/twirl/TwirlTemplateFormat.html" title="interface in org.gradle.language.twirl">TwirlTemplateFormat</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/twirl/TwirlSourceSet.html#getUserTemplateFormats()">getUserTemplateFormats</a></strong>()</code>
<div class="block">Returns the custom template formats configured for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/twirl/TwirlSourceSet.html#setAdditionalImports(java.util.List)">setAdditionalImports</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;additionalImports)</code>
<div class="block">Sets the additional imports to add to all generated Scala code.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/twirl/TwirlSourceSet.html#setDefaultImports(org.gradle.language.twirl.TwirlImports)">setDefaultImports</a></strong>(<a href="../../../../org/gradle/language/twirl/TwirlImports.html" title="enum in org.gradle.language.twirl">TwirlImports</a>&nbsp;defaultImports)</code>
<div class="block">Sets the default imports that should be added to generated source files to the given language</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/twirl/TwirlSourceSet.html#setUserTemplateFormats(java.util.List)">setUserTemplateFormats</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/language/twirl/TwirlTemplateFormat.html" title="interface in org.gradle.language.twirl">TwirlTemplateFormat</a>&gt;&nbsp;userTemplateFormats)</code>
<div class="block">Sets the custom template formats for this source set.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.language.base.LanguageSourceSet">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.language.base.<a href="../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a></h3>
<code><a href="../../../../org/gradle/language/base/LanguageSourceSet.html#generatedBy(org.gradle.api.Task)">generatedBy</a>, <a href="../../../../org/gradle/language/base/LanguageSourceSet.html#getParentName()">getParentName</a>, <a href="../../../../org/gradle/language/base/LanguageSourceSet.html#getSource()">getSource</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.BuildableComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a></h3>
<code><a href="../../../../org/gradle/api/BuildableComponentSpec.html#builtBy(java.lang.Object...)">builtBy</a>, <a href="../../../../org/gradle/api/BuildableComponentSpec.html#getBuildTask()">getBuildTask</a>, <a href="../../../../org/gradle/api/BuildableComponentSpec.html#hasBuildDependencies()">hasBuildDependencies</a>, <a href="../../../../org/gradle/api/BuildableComponentSpec.html#setBuildTask(org.gradle.api.Task)">setBuildTask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.ComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a></h3>
<code><a href="../../../../org/gradle/platform/base/ComponentSpec.html#getProjectPath()">getProjectPath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a>, <a href="../../../../org/gradle/model/ModelElement.html#getName()">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDefaultImports()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultImports</h4>
<pre><a href="../../../../org/gradle/language/twirl/TwirlImports.html" title="enum in org.gradle.language.twirl">TwirlImports</a>&nbsp;getDefaultImports()</pre>
<div class="block">The default imports that should be added to generated source files</div>
</li>
</ul>
<a name="setDefaultImports(org.gradle.language.twirl.TwirlImports)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultImports</h4>
<pre>void&nbsp;setDefaultImports(<a href="../../../../org/gradle/language/twirl/TwirlImports.html" title="enum in org.gradle.language.twirl">TwirlImports</a>&nbsp;defaultImports)</pre>
<div class="block">Sets the default imports that should be added to generated source files to the given language</div>
</li>
</ul>
<a name="getUserTemplateFormats()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserTemplateFormats</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/language/twirl/TwirlTemplateFormat.html" title="interface in org.gradle.language.twirl">TwirlTemplateFormat</a>&gt;&nbsp;getUserTemplateFormats()</pre>
<div class="block">Returns the custom template formats configured for this source set.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="setUserTemplateFormats(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUserTemplateFormats</h4>
<pre>void&nbsp;setUserTemplateFormats(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/language/twirl/TwirlTemplateFormat.html" title="interface in org.gradle.language.twirl">TwirlTemplateFormat</a>&gt;&nbsp;userTemplateFormats)</pre>
<div class="block">Sets the custom template formats for this source set.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="addUserTemplateFormat(java.lang.String, java.lang.String, java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addUserTemplateFormat</h4>
<pre>void&nbsp;addUserTemplateFormat(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extension,
                         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateType,
                         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;imports)</pre>
<div class="block">Adds a custom template format.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>extension</code> - file extension this template applies to (e.g., <code>html</code>).</dd><dd><code>templateType</code> - fully-qualified type for this template format.</dd><dd><code>imports</code> - additional imports to add for the custom template format.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="getAdditionalImports()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdditionalImports</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getAdditionalImports()</pre>
<div class="block">Returns the list of additional imports to add to the generated Scala code.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="setAdditionalImports(java.util.List)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAdditionalImports</h4>
<pre>void&nbsp;setAdditionalImports(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;additionalImports)</pre>
<div class="block">Sets the additional imports to add to all generated Scala code.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>additionalImports</code> - additional imports</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/language/twirl/TwirlImports.html" title="enum in org.gradle.language.twirl"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/language/twirl/TwirlTemplateFormat.html" title="interface in org.gradle.language.twirl"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/language/twirl/TwirlSourceSet.html" target="_top">Frames</a></li>
<li><a href="TwirlSourceSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
